package Servlet;

import Datos.AsistenciaDB;
import Datos.CodAsistenciaDB;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Datos.JugadorDB;
import Modelo.CodAsistencia;
import Modelo.Equipo;
import Modelo.Jugador;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;

public class AñadirAsistenciaServlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = request.getCharacterEncoding();
        if (encoding == null) {
            request.setCharacterEncoding("UTF-8");
        }

        String url;
        HttpSession sesion = request.getSession();
        
        String operacion = request.getParameter("operacion");
        Equipo equipo = (Equipo) sesion.getAttribute("equipo");
        String id_equipo = equipo.getId_equipo();
        ArrayList <Jugador> lista_jugadores = JugadorDB.getJugadoresEquipo(id_equipo);
        request.setAttribute("lista_jugadores", lista_jugadores);
        ArrayList <CodAsistencia> cod_asistencia = CodAsistenciaDB.getAsistencias();
        request.setAttribute("cod_asistencia", cod_asistencia);
        String fecha = "";
        if(operacion.equals("MOD")||operacion.equals("VER")){
            fecha = request.getParameter("fecha_asis");
            Date fecha_asistencia = null;
            SimpleDateFormat formato = new SimpleDateFormat("yyyy-MM-dd");
            try{
                fecha_asistencia = formato.parse(fecha);
            }catch(ParseException ex){
                  ex.printStackTrace();
            }
            ArrayList<ArrayList<String>> asistencia = AsistenciaDB.getAsistenciaEquipo(id_equipo, fecha_asistencia);
            request.setAttribute("asistencia",asistencia);
        }
        
        url = "/añadirAsistencia.jsp?operacion="+operacion+"&fecha_asis="+fecha;
        
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
}
